Bug 133061 - More aliases
Summary: More aliases
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-21 13:03 UTC by Need Real Name
Modified: 2014-03-17 02:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 19:19:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2004-09-21 13:03:44 UTC
Description of problem:
Debian comes with several time-saving aliases which Red Hat does not have.

Althought it is easy to add them to /etc/bashrc, more people would
benefit if they were standard.

Here are the three I use most:
 alias o='less'
 alias ..='cd ..'
 alias ...='cd ../..'

Comment 1 Robert Scheck 2004-09-22 07:50:25 UTC
Whatever "time-saving" means at typically typing speeds at 5-7 
keyboard hits/second ;-)

Comment 2 Need Real Name 2004-09-22 13:16:37 UTC
Very true :)

But it feels like a big time saver - once you get used to those three
the originals feel like timewasters (!)

Comment 3 Bill Nottingham 2004-09-22 19:19:38 UTC
I don't see any logical connection that leads from "i need to view a
file, i'll use 'o'". I'm not sure we really need to be introducing
more aliases in general.

Comment 4 Need Real Name 2004-09-23 07:01:21 UTC
That's one third of the bug!

How about .. and ..., both are logical.

Comment 5 Need Real Name 2004-10-12 09:54:21 UTC
Please can .. and ... be added as alias'?

Comment 6 Robert Scheck 2004-10-12 10:54:11 UTC
Bill, I also think .. and ... are maybe useful for some (or only a 
few) users, can we set this aliases, please - they also shouldn't 
hurt anyone ;-)


Note You need to log in before you can comment on or make changes to this bug.